/**
 * Entry points for all testlab blocks.
 *
 * @copyright 2008, Research In Motion Ltd.
 *
 * @version $Id: //depot/main/dsp/ecall/c/testlab/testlab.h#5 $
 */

#ifndef __TESTLAB_H__
#define __TESTLAB_H__

#include "rimtypes.h"

void ControlInit(
    const char *host,
    const char *ul,
    const char *dl,
    const char *ivs,
    const char *psap,
    const char *pcm,
    const char *campaign,
    const char *results,
    int pcmMaxFrames,
    int psapTxStartFrame);
BOOL ControlRun(void);

void UlChannelInit(const char *host, const char *port);
BOOL UlChannelRun(void);
void UlChannelFinal(void);
void DlChannelInit(const char *host, const char *port);
BOOL DlChannelRun(void);
void DlChannelFinal(void);

void IvsInit(const char *host, const char *port);
BOOL IvsRun(void);

void PsapInit(const char *host, const char *port);
BOOL PsapRun(void);

void FileIoInit(const char *host, const char *port,
                const char *in, const char *out);
BOOL FileIoRun(void);

#endif
